
function mandarEncuesta(){
    $.ajax({
        url: MODULOS + 'Encuestas/getEncuestasByCampaign?campaign_id=' + campanaActual, 
        type: 'GET', 
        contentType: 'text',
        success: function(result) {
            const registros = {};
            let defaultValue = "";

            result.Registros.forEach(r => {
                registros[r.id_encuesta] = r.nombre;
                if (r.id_default == "1") {
                    defaultValue = r.id_encuesta
                }
            })

            Swal.fire({
                title: traducirFrase("Transferir Encuestas"),
                confirmButtonText: traducirFrase("Mandar Transferencia"),
                input: 'select',
                inputValue: defaultValue,
                inputOptions: registros,
                inputPlaceholder: traducirFrase("Selecciona una encuesta"),
                showCancelButton: true,
            }).then(result => {
                if (result && result.value !== '' && registros[result.value]) {

                    let encuesta = "" + result.value;
                    let campana = "" + campanaActual;

                    while (encuesta.length < 4) {
                        encuesta = "0" + encuesta;
                    }

                    while (campana.length < 4) {
                        campana = "0" + campana;
                    }

                    if (enTransferido && num_tipoTransferencia !== -1) {
                        transfiere(num_tipoTransferencia);
                        setTimeout(() => {
                            transfiere(2, '6969' + encuesta + campana + Usuario, true);
                        }, 3000)
                    } else {
                        transfiere(2, '6969' + encuesta + campana + Usuario, true);
                    }
                }
            })
        },
        error: console.log,
    });


}